<?php

namespace FORM_BusinessClass;

class Form
{
    private string $title;
    private string $description;
    private array $questions; // La liste des questions dans un formulaire

    /**
     * @param string $title
     * @param string $description
     * @param array $questions
     */
    public function __construct(string $title, string $description, array $questions)
    {
        $this->title = $title;
        $this->description = $description;
        $this->questions = $questions;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle(string $title): void
    {
        $this->title = $title;
    }

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription(string $description): void
    {
        $this->description = $description;
    }

    /**
     * @return array
     */
    public function getQuestions(): array
    {
        return $this->questions;
    }

    /**
     * @param array $questions
     */
    public function setQuestions(array $questions): void
    {
        $this->questions = $questions;
    }
}